Magick::DrawablePushPattern Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePushPattern:
[legend]
Collaboration diagram for Magick::DrawablePushPattern:
[legend]

## Public Member Functions

| DrawablePushPattern (const std::string &id_, ::ssize_t x_, ::ssize_t y_, size_t width_, size_t height_)
| DrawablePushPattern (const DrawablePushPattern &original_)
| ~DrawablePushPattern (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1376 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePushPattern() [1/2]

Magick::DrawablePushPattern::DrawablePushPattern | ( | const std::string & | id_,
|  | ::ssize_t | x_,
|  | ::ssize_t | y_,
|  | size_t | width_,
|  | size_t | height_
| ) |  |

## DrawablePushPattern() [2/2]

Magick::DrawablePushPattern::DrawablePushPattern | ( | const DrawablePushPattern & | original_ | ) |

Definition at line 1053 of file Drawable.cpp.

## ~DrawablePushPattern()

Magick::DrawablePushPattern::~DrawablePushPattern | ( | void |  | ) |

Definition at line 1062 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePushPattern::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1070 of file Drawable.cpp.

## operator()()

void Magick::DrawablePushPattern::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1066 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp